/* class comment */!!

inherit(Object, #CLITranscriptNode, #(commandCount), 2, nil)!!

now(class(CLITranscriptNode))!!

now(CLITranscriptNode)!!

/* Compile the node into Actor source. */
Def CLICodeCompile(self)
{
  CLICodeCompile("setCliStatusValue(self, ");
  if (commandCount)
    /* set transcript size */
    CLICodeCompile("setMaxTranscriptSize(self, ");
    CLICodeCompile(commandCount);
    CLICodeCompile(")");
  else
    /* show transcript size */
    CLICodeCompile("showMaxTranscriptSize(self)");
  endif;
  CLICodeCompile(") ");
}!!

Def init(self, count)
{
  commandCount := count;
}!!
